<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Todo Lists</title>
    </head>

    <body>
        <main>
            <div><h1>My Lists</h1></div>
            <div><a href="{% url 'todo_list_create' %}">Create a new list</div></a>
            <div><a href="{% url 'todo_item_create' %}">Create a new item</div></a>
            <table>
                <thread>
                    <tr>
                        <th>Name</th>
                        <th>Number of items</th>
                    </tr>
                    <tbody>
                        {% for todolist in todo_list %}
                        <tr>
                            <td><a href="{% url 'todo_item' todolist.id %}">{{ todolist.name }}</a></td>
                            <td>{{ todolist.items.all|length }}</td>
                        </tr>
                        {% endfor %}

                    </tbody>
                </thread>
            </table>
        </main>
    </body>
</html>
